Webhooks

Create a new webhook

Create a new webhook for a project. The webhook will receive notifications for specified events.

POST
/api/webhooks

Authorization

Authorization
header
string
required

Enter the project access token with the Bearer prefix, e.g. "Bearer project_access_token"

Bodyapplication/json

Webhook creation parameters

url
string
required

Url is the endpoint that will receive webhook notifications, which must be a valid HTTP URL.

Examples:
https://example.com/webhook
enabled
boolean

Enabled indicates whether the webhook is active.

Examples:
true
events
string[]

Events specifies the types of events that will trigger the webhook.

Available options:
job.completedjob.failedjob.cancelledupload.completedupload.failedupload.expired
Examples:
["job.completed", "job.failed"]

Responses

application/json
data
object
required

Data contains the response object

status
"success"
string
required

Status indicates the response status "success"

The webhook was created successfully